(* $Id: caseMap.mli,v 1.5 2003/12/19 17:24:34 yori Exp $ *)
(* Copyright 2002 Yamagata Yoriyuki *)

(** Case mappings as defined in Unicode Technical Report #21 *)

(** For locale, see {!Locale}.
   If locale is omitted, default mapping is used. *)

module type Type =
  sig
    type text

    val lowercase : ?locale:string -> text -> text
    val uppercase : ?locale:string -> text -> text

(** Capitalize the beginning of words *)
    val titlecase : ?locale:string -> text -> text
  end

module Make : functor (Text : UnicodeString.Type) ->
 (Type with type text = Text.t)
